Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Wed, 06 Jul 2022 14:10:20 +0000

>> Font locking is as far as I can see the main reason why Emacs is still 
>> a bit sluggish in such cases.
>
> Surely, a full and complete solution should make *no* compromises, not 
> even with secondary features.  (And preferably be completely transparent 
> to Lisp.)
>

Perfect is the enemy of good.  Emacs users have been plagued for decades 
by this bug, asking for a solution without any compromises is simply 
unreasonable.  Even more so as the compromise is, in this case, to disable 
a feature that is outside of the scope of this bug.